import * as pj from 'projen';
export declare const PACKAGE_NAME = "cdk-serverless";
export interface ServerlessProjectOptions extends pj.awscdk.AwsCdkTypeScriptAppOptions {
}
/**
 * The ServerlessProject construct sets up an AWS CDK TypeScript project with serverless application dependencies and configurations.
 * This construct extends the projen AwsCdkTypeScriptApp to include additional dependencies and development dependencies required
 * for serverless applications. It also enables TypeScript projen configuration (projenrcTs).
 *
 * @example
 * const project = new ServerlessProject({
 *   name: 'MyServerlessApp',
 *   defaultReleaseBranch: 'main',
 *   cdkVersion: '2.140.0',
 *   deps: ['additional-dependency'],
 *   devDeps: ['additional-dev-dependency'],
 * });
 */
export declare class ServerlessProject extends pj.awscdk.AwsCdkTypeScriptApp {
    /**
     * Creates an instance of ServerlessProject.
     *
     * @param {ServerlessProjectOptions} options - The options for configuring the ServerlessProject.
     */
    constructor(options: ServerlessProjectOptions);
}
